package docex;
import java.io.Serializable;


public class IdCountPair  implements Comparable<IdCountPair>, Serializable {


	private static final long serialVersionUID = 28572357783L;
	Integer	ID;
	Integer Count;

	public IdCountPair(Integer i, Integer c) {
		ID = i;
		Count = c;
	}

	public String toString() {
		return (ID+","+Count);
	}

	public IdCountPair valueOf(String s) {
		int i = Integer.parseInt(s.substring(0,s.indexOf(',')));
		int c = Integer.parseInt(s.substring(s.indexOf(','),-1));
		IdCountPair icp = new IdCountPair(i,c);
		return icp;
	}

	@Override
	public int compareTo(IdCountPair o) {
		if (Count < o.Count)
			return 1;
		if (Count > o.Count)
			return -1;
		return 0;
	}
}
